/// <reference types="react" />
import * as React from 'react';
import { BaseFieldProps } from 'redux-form';
import { AceSession, UserModel } from '@amalto/typings';
import 'brace/mode/csharp';
import 'brace/mode/dockerfile';
import 'brace/mode/groovy';
import 'brace/mode/html';
import 'brace/mode/java';
import 'brace/mode/javascript';
import 'brace/mode/json';
import 'brace/mode/typescript';
import 'brace/mode/tsx';
import 'brace/mode/xml';
import 'brace/mode/sql';
import 'brace/theme/ambiance';
import 'brace/theme/chaos';
import 'brace/theme/chrome';
import 'brace/theme/clouds';
import 'brace/theme/clouds_midnight';
import 'brace/theme/cobalt';
import 'brace/theme/crimson_editor';
import 'brace/theme/dawn';
import 'brace/theme/dracula';
import 'brace/theme/dreamweaver';
import 'brace/theme/eclipse';
import 'brace/theme/github';
import 'brace/theme/gob';
import 'brace/theme/gruvbox';
import 'brace/theme/idle_fingers';
import 'brace/theme/iplastic';
import 'brace/theme/katzenmilch';
import 'brace/theme/kr_theme';
import 'brace/theme/kuroir';
import 'brace/theme/merbivore';
import 'brace/theme/merbivore_soft';
import 'brace/theme/mono_industrial';
import 'brace/theme/monokai';
import 'brace/theme/pastel_on_dark';
import 'brace/theme/solarized_dark';
import 'brace/theme/solarized_light';
import 'brace/theme/sqlserver';
import 'brace/theme/terminal';
import 'brace/theme/textmate';
import 'brace/theme/tomorrow';
import 'brace/theme/tomorrow_night';
import 'brace/theme/tomorrow_night_blue';
import 'brace/theme/tomorrow_night_bright';
import 'brace/theme/tomorrow_night_eighties';
import 'brace/theme/twilight';
import 'brace/theme/vibrant_ink';
import 'brace/theme/xcode';
declare namespace CodeEditorInput {
    interface Props extends BaseFieldProps {
        name: string;
        label?: string | JSX.Element;
        readonly?: boolean;
        help?: string;
        containerClass?: string;
        inputClass?: string;
        mode?: string;
        height?: number | string;
        initSession?: AceSession;
        saveEditorContent?: (session: AceSession) => void;
        saveSession?: (session: AceSession) => void;
        displaySettings?: Settings;
        resetTick?: number;
        user?: UserModel;
        children?: React.ReactNode;
        key?: React.ReactText;
        ref?: React.Ref<any>;
        component?: any;
        format?: any;
        normalize?: any;
        props?: any;
        parse?: any;
        validate?: any;
        warn?: any;
        withRef?: any;
    }
    interface Settings {
        theme?: string;
        fontSize?: string;
        showInvisibles?: boolean;
        showGutter?: boolean;
        showIndent?: boolean;
        wrap?: boolean;
    }
    interface State {
    }
}
declare class CodeEditorInput extends React.Component<CodeEditorInput.Props, CodeEditorInput.State> {
    constructor(props: CodeEditorInput.Props);
    render(): JSX.Element;
}
export default CodeEditorInput;
